Skip to content

API Reference

The Jones Center Weather API is built on Microsoft Azure Data API Builder and automatically exposes an OpenAPI 3.0 specification. The interactive reference below is generated live from that specification.

Authentication

All requests require two headers:

Header Value
Authorization Bearer <token$credentials$access_token> — acquired via the Quickstart guide
X-MS-API-ROLE WeatherAPI.Read

Base URL

https://api.jonesctr.org/weather/api

Common Query Parameters

Parameter Description Example
$filter Filter results by field value TmStamp ge '2026-01-01'
$orderby Sort results TmStamp desc
$first Limit number of records returned 100
$after Cursor for pagination — use value from @nextLink in previous response

Example R Request

fetch_page <- function(endpoint, filter = NULL, top = 1000, after = NULL) {
  request(paste0("https://api.jonesctr.org/weather/api/", endpoint)) |>
    req_auth_bearer_token(token$credentials$access_token) |>
    req_headers("X-MS-API-ROLE" = "WeatherAPI.Read") |>
    req_url_query(
      `$filter`  = filter,
      `$orderby` = "TmStamp desc",
      `$first`   = top,
      `$after`   = after
    ) |>
    req_error(body = function(resp) resp_body_string(resp)) |>
    req_perform() |>
    resp_body_json(simplifyVector = TRUE)
}

Endpoints

Data API builder - REST Endpoint 1.7.92

Servers

Description URL
/api /api

CraftonWS_FifteenMin


GET /CraftonWS_FifteenMin/TmStamp/{TmStamp}/RecNum/{RecNum}

Description

Returns an entity.

Input parameters

Parameter In Type Default Nullable Description
$after query string No An opaque string that specifies the cursor position after which results should be returned.
$filter query string No An OData expression (an expression that returns a boolean value) using the entity's fields to retrieve a subset of the results.
$first query integer No An integer value that specifies the number of items to return. Default is 100.
$orderby query string No Uses a comma-separated list of expressions to sort response items. Add 'desc' for descending order, otherwise it's ascending by default.
$select query string No A comma separated list of fields to return in the response.
Authorization header string No
RecNum path number No
TmStamp path string No
X-MS-API-ROLE header string No

Responses

{
    "value": [
        {
            "TmStamp": "string",
            "RecNum": 10.12,
            "AirTC_Avg": 10.12,
            "RH": 10.12,
            "VPD": 10.12,
            "BP_Abs": 10.12,
            "WS_ms": 10.12,
            "WS_ms_Max": 10.12,
            "WS_Avg": 10.12,
            "WD_avg": 10.12,
            "WD_StdDev": 10.12,
            "WS_ms_WVc": 10.12,
            "SlrkW": 10.12,
            "Par_Den": 10.12,
            "Rain_mm_Tot": 10.12,
            "SoilTemp4inches": 10.12,
            "SoilMoisture4": 10.12,
            "SoilMoisture8": 10.12,
            "SoilMoisture24": 10.12,
            "FuelM": 10.12,
            "BattV": 10.12
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "value": {
            "type": "array",
            "items": {
                "$ref": "#/components/schemas/CraftonWS_FifteenMin"
            }
        }
    }
}

PUT /CraftonWS_FifteenMin/TmStamp/{TmStamp}/RecNum/{RecNum}

Description

Replace or create entity.

Input parameters

Parameter In Type Default Nullable Description
Authorization header string No
RecNum path number No
TmStamp path string No
X-MS-API-ROLE header string No

Request body

{
    "AirTC_Avg": 10.12,
    "RH": 10.12,
    "VPD": 10.12,
    "BP_Abs": 10.12,
    "WS_ms": 10.12,
    "WS_ms_Max": 10.12,
    "WS_Avg": 10.12,
    "WD_avg": 10.12,
    "WD_StdDev": 10.12,
    "WS_ms_WVc": 10.12,
    "SlrkW": 10.12,
    "Par_Den": 10.12,
    "Rain_mm_Tot": 10.12,
    "SoilTemp4inches": 10.12,
    "SoilMoisture4": 10.12,
    "SoilMoisture8": 10.12,
    "SoilMoisture24": 10.12,
    "FuelM": 10.12,
    "BattV": 10.12
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "properties": {
        "AirTC_Avg": {
            "type": "number",
            "format": ""
        },
        "RH": {
            "type": "number",
            "format": ""
        },
        "VPD": {
            "type": "number",
            "format": ""
        },
        "BP_Abs": {
            "type": "number",
            "format": ""
        },
        "WS_ms": {
            "type": "number",
            "format": ""
        },
        "WS_ms_Max": {
            "type": "number",
            "format": ""
        },
        "WS_Avg": {
            "type": "number",
            "format": ""
        },
        "WD_avg": {
            "type": "number",
            "format": ""
        },
        "WD_StdDev": {
            "type": "number",
            "format": ""
        },
        "WS_ms_WVc": {
            "type": "number",
            "format": ""
        },
        "SlrkW": {
            "type": "number",
            "format": ""
        },
        "Par_Den": {
            "type": "number",
            "format": ""
        },
        "Rain_mm_Tot": {
            "type": "number",
            "format": ""
        },
        "SoilTemp4inches": {
            "type": "number",
            "format": ""
        },
        "SoilMoisture4": {
            "type": "number",
            "format": ""
        },
        "SoilMoisture8": {
            "type": "number",
            "format": ""
        },
        "SoilMoisture24": {
            "type": "number",
            "format": ""
        },
        "FuelM": {
            "type": "number",
            "format": ""
        },
        "BattV": {
            "type": "number",
            "format": ""
        }
    }
}

Responses

{
    "value": [
        {
            "TmStamp": "string",
            "RecNum": 10.12,
            "AirTC_Avg": 10.12,
            "RH": 10.12,
            "VPD": 10.12,
            "BP_Abs": 10.12,
            "WS_ms": 10.12,
            "WS_ms_Max": 10.12,
            "WS_Avg": 10.12,
            "WD_avg": 10.12,
            "WD_StdDev": 10.12,
            "WS_ms_WVc": 10.12,
            "SlrkW": 10.12,
            "Par_Den": 10.12,
            "Rain_mm_Tot": 10.12,
            "SoilTemp4inches": 10.12,
            "SoilMoisture4": 10.12,
            "SoilMoisture8": 10.12,
            "SoilMoisture24": 10.12,
            "FuelM": 10.12,
            "BattV": 10.12
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "value": {
            "type": "array",
            "items": {
                "$ref": "#/components/schemas/CraftonWS_FifteenMin"
            }
        }
    }
}

{
    "value": [
        {
            "TmStamp": "string",
            "RecNum": 10.12,
            "AirTC_Avg": 10.12,
            "RH": 10.12,
            "VPD": 10.12,
            "BP_Abs": 10.12,
            "WS_ms": 10.12,
            "WS_ms_Max": 10.12,
            "WS_Avg": 10.12,
            "WD_avg": 10.12,
            "WD_StdDev": 10.12,
            "WS_ms_WVc": 10.12,
            "SlrkW": 10.12,
            "Par_Den": 10.12,
            "Rain_mm_Tot": 10.12,
            "SoilTemp4inches": 10.12,
            "SoilMoisture4": 10.12,
            "SoilMoisture8": 10.12,
            "SoilMoisture24": 10.12,
            "FuelM": 10.12,
            "BattV": 10.12
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "value": {
            "type": "array",
            "items": {
                "$ref": "#/components/schemas/CraftonWS_FifteenMin"
            }
        }
    }
}

PATCH /CraftonWS_FifteenMin/TmStamp/{TmStamp}/RecNum/{RecNum}

Description

Update or create entity.

Input parameters

Parameter In Type Default Nullable Description
Authorization header string No
RecNum path number No
TmStamp path string No
X-MS-API-ROLE header string No

Request body

{
    "AirTC_Avg": 10.12,
    "RH": 10.12,
    "VPD": 10.12,
    "BP_Abs": 10.12,
    "WS_ms": 10.12,
    "WS_ms_Max": 10.12,
    "WS_Avg": 10.12,
    "WD_avg": 10.12,
    "WD_StdDev": 10.12,
    "WS_ms_WVc": 10.12,
    "SlrkW": 10.12,
    "Par_Den": 10.12,
    "Rain_mm_Tot": 10.12,
    "SoilTemp4inches": 10.12,
    "SoilMoisture4": 10.12,
    "SoilMoisture8": 10.12,
    "SoilMoisture24": 10.12,
    "FuelM": 10.12,
    "BattV": 10.12
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "properties": {
        "AirTC_Avg": {
            "type": "number",
            "format": ""
        },
        "RH": {
            "type": "number",
            "format": ""
        },
        "VPD": {
            "type": "number",
            "format": ""
        },
        "BP_Abs": {
            "type": "number",
            "format": ""
        },
        "WS_ms": {
            "type": "number",
            "format": ""
        },
        "WS_ms_Max": {
            "type": "number",
            "format": ""
        },
        "WS_Avg": {
            "type": "number",
            "format": ""
        },
        "WD_avg": {
            "type": "number",
            "format": ""
        },
        "WD_StdDev": {
            "type": "number",
            "format": ""
        },
        "WS_ms_WVc": {
            "type": "number",
            "format": ""
        },
        "SlrkW": {
            "type": "number",
            "format": ""
        },
        "Par_Den": {
            "type": "number",
            "format": ""
        },
        "Rain_mm_Tot": {
            "type": "number",
            "format": ""
        },
        "SoilTemp4inches": {
            "type": "number",
            "format": ""
        },
        "SoilMoisture4": {
            "type": "number",
            "format": ""
        },
        "SoilMoisture8": {
            "type": "number",
            "format": ""
        },
        "SoilMoisture24": {
            "type": "number",
            "format": ""
        },
        "FuelM": {
            "type": "number",
            "format": ""
        },
        "BattV": {
            "type": "number",
            "format": ""
        }
    }
}

Responses

{
    "value": [
        {
            "TmStamp": "string",
            "RecNum": 10.12,
            "AirTC_Avg": 10.12,
            "RH": 10.12,
            "VPD": 10.12,
            "BP_Abs": 10.12,
            "WS_ms": 10.12,
            "WS_ms_Max": 10.12,
            "WS_Avg": 10.12,
            "WD_avg": 10.12,
            "WD_StdDev": 10.12,
            "WS_ms_WVc": 10.12,
            "SlrkW": 10.12,
            "Par_Den": 10.12,
            "Rain_mm_Tot": 10.12,
            "SoilTemp4inches": 10.12,
            "SoilMoisture4": 10.12,
            "SoilMoisture8": 10.12,
            "SoilMoisture24": 10.12,
            "FuelM": 10.12,
            "BattV": 10.12
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "value": {
            "type": "array",
            "items": {
                "$ref": "#/components/schemas/CraftonWS_FifteenMin"
            }
        }
    }
}

{
    "value": [
        {
            "TmStamp": "string",
            "RecNum": 10.12,
            "AirTC_Avg": 10.12,
            "RH": 10.12,
            "VPD": 10.12,
            "BP_Abs": 10.12,
            "WS_ms": 10.12,
            "WS_ms_Max": 10.12,
            "WS_Avg": 10.12,
            "WD_avg": 10.12,
            "WD_StdDev": 10.12,
            "WS_ms_WVc": 10.12,
            "SlrkW": 10.12,
            "Par_Den": 10.12,
            "Rain_mm_Tot": 10.12,
            "SoilTemp4inches": 10.12,
            "SoilMoisture4": 10.12,
            "SoilMoisture8": 10.12,
            "SoilMoisture24": 10.12,
            "FuelM": 10.12,
            "BattV": 10.12
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "value": {
            "type": "array",
            "items": {
                "$ref": "#/components/schemas/CraftonWS_FifteenMin"
            }
        }
    }
}

DELETE /CraftonWS_FifteenMin/TmStamp/{TmStamp}/RecNum/{RecNum}

Description

Delete entity.

Input parameters

Parameter In Type Default Nullable Description
Authorization header string No
RecNum path number No
TmStamp path string No
X-MS-API-ROLE header string No

Responses


GET /CraftonWS_FifteenMin

Description

Returns entities.

Input parameters

Parameter In Type Default Nullable Description
$after query string No An opaque string that specifies the cursor position after which results should be returned.
$filter query string No An OData expression (an expression that returns a boolean value) using the entity's fields to retrieve a subset of the results.
$first query integer No An integer value that specifies the number of items to return. Default is 100.
$orderby query string No Uses a comma-separated list of expressions to sort response items. Add 'desc' for descending order, otherwise it's ascending by default.
$select query string No A comma separated list of fields to return in the response.
Authorization header string No
X-MS-API-ROLE header string No

Responses

{
    "value": [
        {
            "TmStamp": "string",
            "RecNum": 10.12,
            "AirTC_Avg": 10.12,
            "RH": 10.12,
            "VPD": 10.12,
            "BP_Abs": 10.12,
            "WS_ms": 10.12,
            "WS_ms_Max": 10.12,
            "WS_Avg": 10.12,
            "WD_avg": 10.12,
            "WD_StdDev": 10.12,
            "WS_ms_WVc": 10.12,
            "SlrkW": 10.12,
            "Par_Den": 10.12,
            "Rain_mm_Tot": 10.12,
            "SoilTemp4inches": 10.12,
            "SoilMoisture4": 10.12,
            "SoilMoisture8": 10.12,
            "SoilMoisture24": 10.12,
            "FuelM": 10.12,
            "BattV": 10.12
        }
    ],
    "nextLink": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "value": {
            "type": "array",
            "items": {
                "$ref": "#/components/schemas/CraftonWS_FifteenMin"
            }
        },
        "nextLink": {
            "type": "string"
        }
    }
}

POST /CraftonWS_FifteenMin

Description

Create entity.

Input parameters

Parameter In Type Default Nullable Description
Authorization header string No
X-MS-API-ROLE header string No

Request body

{
    "TmStamp": "string",
    "RecNum": 10.12,
    "AirTC_Avg": 10.12,
    "RH": 10.12,
    "VPD": 10.12,
    "BP_Abs": 10.12,
    "WS_ms": 10.12,
    "WS_ms_Max": 10.12,
    "WS_Avg": 10.12,
    "WD_avg": 10.12,
    "WD_StdDev": 10.12,
    "WS_ms_WVc": 10.12,
    "SlrkW": 10.12,
    "Par_Den": 10.12,
    "Rain_mm_Tot": 10.12,
    "SoilTemp4inches": 10.12,
    "SoilMoisture4": 10.12,
    "SoilMoisture8": 10.12,
    "SoilMoisture24": 10.12,
    "FuelM": 10.12,
    "BattV": 10.12
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "properties": {
        "TmStamp": {
            "type": "string",
            "format": ""
        },
        "RecNum": {
            "type": "number",
            "format": ""
        },
        "AirTC_Avg": {
            "type": "number",
            "format": ""
        },
        "RH": {
            "type": "number",
            "format": ""
        },
        "VPD": {
            "type": "number",
            "format": ""
        },
        "BP_Abs": {
            "type": "number",
            "format": ""
        },
        "WS_ms": {
            "type": "number",
            "format": ""
        },
        "WS_ms_Max": {
            "type": "number",
            "format": ""
        },
        "WS_Avg": {
            "type": "number",
            "format": ""
        },
        "WD_avg": {
            "type": "number",
            "format": ""
        },
        "WD_StdDev": {
            "type": "number",
            "format": ""
        },
        "WS_ms_WVc": {
            "type": "number",
            "format": ""
        },
        "SlrkW": {
            "type": "number",
            "format": ""
        },
        "Par_Den": {
            "type": "number",
            "format": ""
        },
        "Rain_mm_Tot": {
            "type": "number",
            "format": ""
        },
        "SoilTemp4inches": {
            "type": "number",
            "format": ""
        },
        "SoilMoisture4": {
            "type": "number",
            "format": ""
        },
        "SoilMoisture8": {
            "type": "number",
            "format": ""
        },
        "SoilMoisture24": {
            "type": "number",
            "format": ""
        },
        "FuelM": {
            "type": "number",
            "format": ""
        },
        "BattV": {
            "type": "number",
            "format": ""
        }
    }
}

Responses

{
    "value": [
        {
            "TmStamp": "string",
            "RecNum": 10.12,
            "AirTC_Avg": 10.12,
            "RH": 10.12,
            "VPD": 10.12,
            "BP_Abs": 10.12,
            "WS_ms": 10.12,
            "WS_ms_Max": 10.12,
            "WS_Avg": 10.12,
            "WD_avg": 10.12,
            "WD_StdDev": 10.12,
            "WS_ms_WVc": 10.12,
            "SlrkW": 10.12,
            "Par_Den": 10.12,
            "Rain_mm_Tot": 10.12,
            "SoilTemp4inches": 10.12,
            "SoilMoisture4": 10.12,
            "SoilMoisture8": 10.12,
            "SoilMoisture24": 10.12,
            "FuelM": 10.12,
            "BattV": 10.12
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "value": {
            "type": "array",
            "items": {
                "$ref": "#/components/schemas/CraftonWS_FifteenMin"
            }
        }
    }
}

CraftonWS_Daily


GET /CraftonWS_Daily/TmStamp/{TmStamp}/RecNum/{RecNum}

Description

Returns an entity.

Input parameters

Parameter In Type Default Nullable Description
$after query string No An opaque string that specifies the cursor position after which results should be returned.
$filter query string No An OData expression (an expression that returns a boolean value) using the entity's fields to retrieve a subset of the results.
$first query integer No An integer value that specifies the number of items to return. Default is 100.
$orderby query string No Uses a comma-separated list of expressions to sort response items. Add 'desc' for descending order, otherwise it's ascending by default.
$select query string No A comma separated list of fields to return in the response.
Authorization header string No
RecNum path number No
TmStamp path string No
X-MS-API-ROLE header string No

Responses

{
    "value": [
        {
            "TmStamp": "string",
            "RecNum": 10.12,
            "AirTC_Avg": 10.12,
            "AirTC_Max": 10.12,
            "AirTC_TMx": "string",
            "AirTC_Min": 10.12,
            "AirTC_TMn": "string",
            "RH_Avg": 10.12,
            "RH_Max": 10.12,
            "RH_TMx": "string",
            "RH_Min": 10.12,
            "RH_TMn": "string",
            "VPD_Avg": 10.12,
            "VPD_Max": 10.12,
            "VPD_TMx": "string",
            "VPD_Min": 10.12,
            "VPD_TMn": "string",
            "BP_Abs_Avg": 10.12,
            "BP_Abs_Max": 10.12,
            "BP_Abs_TMx": "string",
            "BP_Abs_Min": 10.12,
            "BP_Abs_TMn": "string",
            "WS_ms_Max": 10.12,
            "WS_ms_TMx": "string",
            "WS_Avg": 10.12,
            "WD_avg": 10.12,
            "WD_StdDev": 10.12,
            "WS_ms_WVc": 10.12,
            "SlrkW_Avg": 10.12,
            "SlrkW_Max": 10.12,
            "SlrkW_TMx": "string",
            "Par_Tot_Tot": 10.12,
            "Par_Den_Max": 10.12,
            "Par_Den_TMx": "string",
            "Rain_mm_Tot": 10.12,
            "max_rain": 10.12,
            "Rain_TimeofMax": "string",
            "SoilMoisture4_Avg": 10.12,
            "SoilMoisture8_Avg": 10.12,
            "SoilMoisture24_Avg": 10.12,
            "FuelM_Max": 10.12,
            "FuelM_TMx": "string",
            "FuelM_Min": 10.12,
            "FuelM_TMn": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "value": {
            "type": "array",
            "items": {
                "$ref": "#/components/schemas/CraftonWS_Daily"
            }
        }
    }
}

PUT /CraftonWS_Daily/TmStamp/{TmStamp}/RecNum/{RecNum}

Description

Replace or create entity.

Input parameters

Parameter In Type Default Nullable Description
Authorization header string No
RecNum path number No
TmStamp path string No
X-MS-API-ROLE header string No

Request body

{
    "AirTC_Avg": 10.12,
    "AirTC_Max": 10.12,
    "AirTC_TMx": "string",
    "AirTC_Min": 10.12,
    "AirTC_TMn": "string",
    "RH_Avg": 10.12,
    "RH_Max": 10.12,
    "RH_TMx": "string",
    "RH_Min": 10.12,
    "RH_TMn": "string",
    "VPD_Avg": 10.12,
    "VPD_Max": 10.12,
    "VPD_TMx": "string",
    "VPD_Min": 10.12,
    "VPD_TMn": "string",
    "BP_Abs_Avg": 10.12,
    "BP_Abs_Max": 10.12,
    "BP_Abs_TMx": "string",
    "BP_Abs_Min": 10.12,
    "BP_Abs_TMn": "string",
    "WS_ms_Max": 10.12,
    "WS_ms_TMx": "string",
    "WS_Avg": 10.12,
    "WD_avg": 10.12,
    "WD_StdDev": 10.12,
    "WS_ms_WVc": 10.12,
    "SlrkW_Avg": 10.12,
    "SlrkW_Max": 10.12,
    "SlrkW_TMx": "string",
    "Par_Tot_Tot": 10.12,
    "Par_Den_Max": 10.12,
    "Par_Den_TMx": "string",
    "Rain_mm_Tot": 10.12,
    "max_rain": 10.12,
    "Rain_TimeofMax": "string",
    "SoilMoisture4_Avg": 10.12,
    "SoilMoisture8_Avg": 10.12,
    "SoilMoisture24_Avg": 10.12,
    "FuelM_Max": 10.12,
    "FuelM_TMx": "string",
    "FuelM_Min": 10.12,
    "FuelM_TMn": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "properties": {
        "AirTC_Avg": {
            "type": "number",
            "format": ""
        },
        "AirTC_Max": {
            "type": "number",
            "format": ""
        },
        "AirTC_TMx": {
            "type": "string",
            "format": ""
        },
        "AirTC_Min": {
            "type": "number",
            "format": ""
        },
        "AirTC_TMn": {
            "type": "string",
            "format": ""
        },
        "RH_Avg": {
            "type": "number",
            "format": ""
        },
        "RH_Max": {
            "type": "number",
            "format": ""
        },
        "RH_TMx": {
            "type": "string",
            "format": ""
        },
        "RH_Min": {
            "type": "number",
            "format": ""
        },
        "RH_TMn": {
            "type": "string",
            "format": ""
        },
        "VPD_Avg": {
            "type": "number",
            "format": ""
        },
        "VPD_Max": {
            "type": "number",
            "format": ""
        },
        "VPD_TMx": {
            "type": "string",
            "format": ""
        },
        "VPD_Min": {
            "type": "number",
            "format": ""
        },
        "VPD_TMn": {
            "type": "string",
            "format": ""
        },
        "BP_Abs_Avg": {
            "type": "number",
            "format": ""
        },
        "BP_Abs_Max": {
            "type": "number",
            "format": ""
        },
        "BP_Abs_TMx": {
            "type": "string",
            "format": ""
        },
        "BP_Abs_Min": {
            "type": "number",
            "format": ""
        },
        "BP_Abs_TMn": {
            "type": "string",
            "format": ""
        },
        "WS_ms_Max": {
            "type": "number",
            "format": ""
        },
        "WS_ms_TMx": {
            "type": "string",
            "format": ""
        },
        "WS_Avg": {
            "type": "number",
            "format": ""
        },
        "WD_avg": {
            "type": "number",
            "format": ""
        },
        "WD_StdDev": {
            "type": "number",
            "format": ""
        },
        "WS_ms_WVc": {
            "type": "number",
            "format": ""
        },
        "SlrkW_Avg": {
            "type": "number",
            "format": ""
        },
        "SlrkW_Max": {
            "type": "number",
            "format": ""
        },
        "SlrkW_TMx": {
            "type": "string",
            "format": ""
        },
        "Par_Tot_Tot": {
            "type": "number",
            "format": ""
        },
        "Par_Den_Max": {
            "type": "number",
            "format": ""
        },
        "Par_Den_TMx": {
            "type": "string",
            "format": ""
        },
        "Rain_mm_Tot": {
            "type": "number",
            "format": ""
        },
        "max_rain": {
            "type": "number",
            "format": ""
        },
        "Rain_TimeofMax": {
            "type": "string",
            "format": ""
        },
        "SoilMoisture4_Avg": {
            "type": "number",
            "format": ""
        },
        "SoilMoisture8_Avg": {
            "type": "number",
            "format": ""
        },
        "SoilMoisture24_Avg": {
            "type": "number",
            "format": ""
        },
        "FuelM_Max": {
            "type": "number",
            "format": ""
        },
        "FuelM_TMx": {
            "type": "string",
            "format": ""
        },
        "FuelM_Min": {
            "type": "number",
            "format": ""
        },
        "FuelM_TMn": {
            "type": "string",
            "format": ""
        }
    }
}

Responses

{
    "value": [
        {
            "TmStamp": "string",
            "RecNum": 10.12,
            "AirTC_Avg": 10.12,
            "AirTC_Max": 10.12,
            "AirTC_TMx": "string",
            "AirTC_Min": 10.12,
            "AirTC_TMn": "string",
            "RH_Avg": 10.12,
            "RH_Max": 10.12,
            "RH_TMx": "string",
            "RH_Min": 10.12,
            "RH_TMn": "string",
            "VPD_Avg": 10.12,
            "VPD_Max": 10.12,
            "VPD_TMx": "string",
            "VPD_Min": 10.12,
            "VPD_TMn": "string",
            "BP_Abs_Avg": 10.12,
            "BP_Abs_Max": 10.12,
            "BP_Abs_TMx": "string",
            "BP_Abs_Min": 10.12,
            "BP_Abs_TMn": "string",
            "WS_ms_Max": 10.12,
            "WS_ms_TMx": "string",
            "WS_Avg": 10.12,
            "WD_avg": 10.12,
            "WD_StdDev": 10.12,
            "WS_ms_WVc": 10.12,
            "SlrkW_Avg": 10.12,
            "SlrkW_Max": 10.12,
            "SlrkW_TMx": "string",
            "Par_Tot_Tot": 10.12,
            "Par_Den_Max": 10.12,
            "Par_Den_TMx": "string",
            "Rain_mm_Tot": 10.12,
            "max_rain": 10.12,
            "Rain_TimeofMax": "string",
            "SoilMoisture4_Avg": 10.12,
            "SoilMoisture8_Avg": 10.12,
            "SoilMoisture24_Avg": 10.12,
            "FuelM_Max": 10.12,
            "FuelM_TMx": "string",
            "FuelM_Min": 10.12,
            "FuelM_TMn": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "value": {
            "type": "array",
            "items": {
                "$ref": "#/components/schemas/CraftonWS_Daily"
            }
        }
    }
}

{
    "value": [
        {
            "TmStamp": "string",
            "RecNum": 10.12,
            "AirTC_Avg": 10.12,
            "AirTC_Max": 10.12,
            "AirTC_TMx": "string",
            "AirTC_Min": 10.12,
            "AirTC_TMn": "string",
            "RH_Avg": 10.12,
            "RH_Max": 10.12,
            "RH_TMx": "string",
            "RH_Min": 10.12,
            "RH_TMn": "string",
            "VPD_Avg": 10.12,
            "VPD_Max": 10.12,
            "VPD_TMx": "string",
            "VPD_Min": 10.12,
            "VPD_TMn": "string",
            "BP_Abs_Avg": 10.12,
            "BP_Abs_Max": 10.12,
            "BP_Abs_TMx": "string",
            "BP_Abs_Min": 10.12,
            "BP_Abs_TMn": "string",
            "WS_ms_Max": 10.12,
            "WS_ms_TMx": "string",
            "WS_Avg": 10.12,
            "WD_avg": 10.12,
            "WD_StdDev": 10.12,
            "WS_ms_WVc": 10.12,
            "SlrkW_Avg": 10.12,
            "SlrkW_Max": 10.12,
            "SlrkW_TMx": "string",
            "Par_Tot_Tot": 10.12,
            "Par_Den_Max": 10.12,
            "Par_Den_TMx": "string",
            "Rain_mm_Tot": 10.12,
            "max_rain": 10.12,
            "Rain_TimeofMax": "string",
            "SoilMoisture4_Avg": 10.12,
            "SoilMoisture8_Avg": 10.12,
            "SoilMoisture24_Avg": 10.12,
            "FuelM_Max": 10.12,
            "FuelM_TMx": "string",
            "FuelM_Min": 10.12,
            "FuelM_TMn": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "value": {
            "type": "array",
            "items": {
                "$ref": "#/components/schemas/CraftonWS_Daily"
            }
        }
    }
}

PATCH /CraftonWS_Daily/TmStamp/{TmStamp}/RecNum/{RecNum}

Description

Update or create entity.

Input parameters

Parameter In Type Default Nullable Description
Authorization header string No
RecNum path number No
TmStamp path string No
X-MS-API-ROLE header string No

Request body

{
    "AirTC_Avg": 10.12,
    "AirTC_Max": 10.12,
    "AirTC_TMx": "string",
    "AirTC_Min": 10.12,
    "AirTC_TMn": "string",
    "RH_Avg": 10.12,
    "RH_Max": 10.12,
    "RH_TMx": "string",
    "RH_Min": 10.12,
    "RH_TMn": "string",
    "VPD_Avg": 10.12,
    "VPD_Max": 10.12,
    "VPD_TMx": "string",
    "VPD_Min": 10.12,
    "VPD_TMn": "string",
    "BP_Abs_Avg": 10.12,
    "BP_Abs_Max": 10.12,
    "BP_Abs_TMx": "string",
    "BP_Abs_Min": 10.12,
    "BP_Abs_TMn": "string",
    "WS_ms_Max": 10.12,
    "WS_ms_TMx": "string",
    "WS_Avg": 10.12,
    "WD_avg": 10.12,
    "WD_StdDev": 10.12,
    "WS_ms_WVc": 10.12,
    "SlrkW_Avg": 10.12,
    "SlrkW_Max": 10.12,
    "SlrkW_TMx": "string",
    "Par_Tot_Tot": 10.12,
    "Par_Den_Max": 10.12,
    "Par_Den_TMx": "string",
    "Rain_mm_Tot": 10.12,
    "max_rain": 10.12,
    "Rain_TimeofMax": "string",
    "SoilMoisture4_Avg": 10.12,
    "SoilMoisture8_Avg": 10.12,
    "SoilMoisture24_Avg": 10.12,
    "FuelM_Max": 10.12,
    "FuelM_TMx": "string",
    "FuelM_Min": 10.12,
    "FuelM_TMn": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "properties": {
        "AirTC_Avg": {
            "type": "number",
            "format": ""
        },
        "AirTC_Max": {
            "type": "number",
            "format": ""
        },
        "AirTC_TMx": {
            "type": "string",
            "format": ""
        },
        "AirTC_Min": {
            "type": "number",
            "format": ""
        },
        "AirTC_TMn": {
            "type": "string",
            "format": ""
        },
        "RH_Avg": {
            "type": "number",
            "format": ""
        },
        "RH_Max": {
            "type": "number",
            "format": ""
        },
        "RH_TMx": {
            "type": "string",
            "format": ""
        },
        "RH_Min": {
            "type": "number",
            "format": ""
        },
        "RH_TMn": {
            "type": "string",
            "format": ""
        },
        "VPD_Avg": {
            "type": "number",
            "format": ""
        },
        "VPD_Max": {
            "type": "number",
            "format": ""
        },
        "VPD_TMx": {
            "type": "string",
            "format": ""
        },
        "VPD_Min": {
            "type": "number",
            "format": ""
        },
        "VPD_TMn": {
            "type": "string",
            "format": ""
        },
        "BP_Abs_Avg": {
            "type": "number",
            "format": ""
        },
        "BP_Abs_Max": {
            "type": "number",
            "format": ""
        },
        "BP_Abs_TMx": {
            "type": "string",
            "format": ""
        },
        "BP_Abs_Min": {
            "type": "number",
            "format": ""
        },
        "BP_Abs_TMn": {
            "type": "string",
            "format": ""
        },
        "WS_ms_Max": {
            "type": "number",
            "format": ""
        },
        "WS_ms_TMx": {
            "type": "string",
            "format": ""
        },
        "WS_Avg": {
            "type": "number",
            "format": ""
        },
        "WD_avg": {
            "type": "number",
            "format": ""
        },
        "WD_StdDev": {
            "type": "number",
            "format": ""
        },
        "WS_ms_WVc": {
            "type": "number",
            "format": ""
        },
        "SlrkW_Avg": {
            "type": "number",
            "format": ""
        },
        "SlrkW_Max": {
            "type": "number",
            "format": ""
        },
        "SlrkW_TMx": {
            "type": "string",
            "format": ""
        },
        "Par_Tot_Tot": {
            "type": "number",
            "format": ""
        },
        "Par_Den_Max": {
            "type": "number",
            "format": ""
        },
        "Par_Den_TMx": {
            "type": "string",
            "format": ""
        },
        "Rain_mm_Tot": {
            "type": "number",
            "format": ""
        },
        "max_rain": {
            "type": "number",
            "format": ""
        },
        "Rain_TimeofMax": {
            "type": "string",
            "format": ""
        },
        "SoilMoisture4_Avg": {
            "type": "number",
            "format": ""
        },
        "SoilMoisture8_Avg": {
            "type": "number",
            "format": ""
        },
        "SoilMoisture24_Avg": {
            "type": "number",
            "format": ""
        },
        "FuelM_Max": {
            "type": "number",
            "format": ""
        },
        "FuelM_TMx": {
            "type": "string",
            "format": ""
        },
        "FuelM_Min": {
            "type": "number",
            "format": ""
        },
        "FuelM_TMn": {
            "type": "string",
            "format": ""
        }
    }
}

Responses

{
    "value": [
        {
            "TmStamp": "string",
            "RecNum": 10.12,
            "AirTC_Avg": 10.12,
            "AirTC_Max": 10.12,
            "AirTC_TMx": "string",
            "AirTC_Min": 10.12,
            "AirTC_TMn": "string",
            "RH_Avg": 10.12,
            "RH_Max": 10.12,
            "RH_TMx": "string",
            "RH_Min": 10.12,
            "RH_TMn": "string",
            "VPD_Avg": 10.12,
            "VPD_Max": 10.12,
            "VPD_TMx": "string",
            "VPD_Min": 10.12,
            "VPD_TMn": "string",
            "BP_Abs_Avg": 10.12,
            "BP_Abs_Max": 10.12,
            "BP_Abs_TMx": "string",
            "BP_Abs_Min": 10.12,
            "BP_Abs_TMn": "string",
            "WS_ms_Max": 10.12,
            "WS_ms_TMx": "string",
            "WS_Avg": 10.12,
            "WD_avg": 10.12,
            "WD_StdDev": 10.12,
            "WS_ms_WVc": 10.12,
            "SlrkW_Avg": 10.12,
            "SlrkW_Max": 10.12,
            "SlrkW_TMx": "string",
            "Par_Tot_Tot": 10.12,
            "Par_Den_Max": 10.12,
            "Par_Den_TMx": "string",
            "Rain_mm_Tot": 10.12,
            "max_rain": 10.12,
            "Rain_TimeofMax": "string",
            "SoilMoisture4_Avg": 10.12,
            "SoilMoisture8_Avg": 10.12,
            "SoilMoisture24_Avg": 10.12,
            "FuelM_Max": 10.12,
            "FuelM_TMx": "string",
            "FuelM_Min": 10.12,
            "FuelM_TMn": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "value": {
            "type": "array",
            "items": {
                "$ref": "#/components/schemas/CraftonWS_Daily"
            }
        }
    }
}

{
    "value": [
        {
            "TmStamp": "string",
            "RecNum": 10.12,
            "AirTC_Avg": 10.12,
            "AirTC_Max": 10.12,
            "AirTC_TMx": "string",
            "AirTC_Min": 10.12,
            "AirTC_TMn": "string",
            "RH_Avg": 10.12,
            "RH_Max": 10.12,
            "RH_TMx": "string",
            "RH_Min": 10.12,
            "RH_TMn": "string",
            "VPD_Avg": 10.12,
            "VPD_Max": 10.12,
            "VPD_TMx": "string",
            "VPD_Min": 10.12,
            "VPD_TMn": "string",
            "BP_Abs_Avg": 10.12,
            "BP_Abs_Max": 10.12,
            "BP_Abs_TMx": "string",
            "BP_Abs_Min": 10.12,
            "BP_Abs_TMn": "string",
            "WS_ms_Max": 10.12,
            "WS_ms_TMx": "string",
            "WS_Avg": 10.12,
            "WD_avg": 10.12,
            "WD_StdDev": 10.12,
            "WS_ms_WVc": 10.12,
            "SlrkW_Avg": 10.12,
            "SlrkW_Max": 10.12,
            "SlrkW_TMx": "string",
            "Par_Tot_Tot": 10.12,
            "Par_Den_Max": 10.12,
            "Par_Den_TMx": "string",
            "Rain_mm_Tot": 10.12,
            "max_rain": 10.12,
            "Rain_TimeofMax": "string",
            "SoilMoisture4_Avg": 10.12,
            "SoilMoisture8_Avg": 10.12,
            "SoilMoisture24_Avg": 10.12,
            "FuelM_Max": 10.12,
            "FuelM_TMx": "string",
            "FuelM_Min": 10.12,
            "FuelM_TMn": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "value": {
            "type": "array",
            "items": {
                "$ref": "#/components/schemas/CraftonWS_Daily"
            }
        }
    }
}

DELETE /CraftonWS_Daily/TmStamp/{TmStamp}/RecNum/{RecNum}

Description

Delete entity.

Input parameters

Parameter In Type Default Nullable Description
Authorization header string No
RecNum path number No
TmStamp path string No
X-MS-API-ROLE header string No

Responses


GET /CraftonWS_Daily

Description

Returns entities.

Input parameters

Parameter In Type Default Nullable Description
$after query string No An opaque string that specifies the cursor position after which results should be returned.
$filter query string No An OData expression (an expression that returns a boolean value) using the entity's fields to retrieve a subset of the results.
$first query integer No An integer value that specifies the number of items to return. Default is 100.
$orderby query string No Uses a comma-separated list of expressions to sort response items. Add 'desc' for descending order, otherwise it's ascending by default.
$select query string No A comma separated list of fields to return in the response.
Authorization header string No
X-MS-API-ROLE header string No

Responses

{
    "value": [
        {
            "TmStamp": "string",
            "RecNum": 10.12,
            "AirTC_Avg": 10.12,
            "AirTC_Max": 10.12,
            "AirTC_TMx": "string",
            "AirTC_Min": 10.12,
            "AirTC_TMn": "string",
            "RH_Avg": 10.12,
            "RH_Max": 10.12,
            "RH_TMx": "string",
            "RH_Min": 10.12,
            "RH_TMn": "string",
            "VPD_Avg": 10.12,
            "VPD_Max": 10.12,
            "VPD_TMx": "string",
            "VPD_Min": 10.12,
            "VPD_TMn": "string",
            "BP_Abs_Avg": 10.12,
            "BP_Abs_Max": 10.12,
            "BP_Abs_TMx": "string",
            "BP_Abs_Min": 10.12,
            "BP_Abs_TMn": "string",
            "WS_ms_Max": 10.12,
            "WS_ms_TMx": "string",
            "WS_Avg": 10.12,
            "WD_avg": 10.12,
            "WD_StdDev": 10.12,
            "WS_ms_WVc": 10.12,
            "SlrkW_Avg": 10.12,
            "SlrkW_Max": 10.12,
            "SlrkW_TMx": "string",
            "Par_Tot_Tot": 10.12,
            "Par_Den_Max": 10.12,
            "Par_Den_TMx": "string",
            "Rain_mm_Tot": 10.12,
            "max_rain": 10.12,
            "Rain_TimeofMax": "string",
            "SoilMoisture4_Avg": 10.12,
            "SoilMoisture8_Avg": 10.12,
            "SoilMoisture24_Avg": 10.12,
            "FuelM_Max": 10.12,
            "FuelM_TMx": "string",
            "FuelM_Min": 10.12,
            "FuelM_TMn": "string"
        }
    ],
    "nextLink": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "value": {
            "type": "array",
            "items": {
                "$ref": "#/components/schemas/CraftonWS_Daily"
            }
        },
        "nextLink": {
            "type": "string"
        }
    }
}

POST /CraftonWS_Daily

Description

Create entity.

Input parameters

Parameter In Type Default Nullable Description
Authorization header string No
X-MS-API-ROLE header string No

Request body

{
    "TmStamp": "string",
    "RecNum": 10.12,
    "AirTC_Avg": 10.12,
    "AirTC_Max": 10.12,
    "AirTC_TMx": "string",
    "AirTC_Min": 10.12,
    "AirTC_TMn": "string",
    "RH_Avg": 10.12,
    "RH_Max": 10.12,
    "RH_TMx": "string",
    "RH_Min": 10.12,
    "RH_TMn": "string",
    "VPD_Avg": 10.12,
    "VPD_Max": 10.12,
    "VPD_TMx": "string",
    "VPD_Min": 10.12,
    "VPD_TMn": "string",
    "BP_Abs_Avg": 10.12,
    "BP_Abs_Max": 10.12,
    "BP_Abs_TMx": "string",
    "BP_Abs_Min": 10.12,
    "BP_Abs_TMn": "string",
    "WS_ms_Max": 10.12,
    "WS_ms_TMx": "string",
    "WS_Avg": 10.12,
    "WD_avg": 10.12,
    "WD_StdDev": 10.12,
    "WS_ms_WVc": 10.12,
    "SlrkW_Avg": 10.12,
    "SlrkW_Max": 10.12,
    "SlrkW_TMx": "string",
    "Par_Tot_Tot": 10.12,
    "Par_Den_Max": 10.12,
    "Par_Den_TMx": "string",
    "Rain_mm_Tot": 10.12,
    "max_rain": 10.12,
    "Rain_TimeofMax": "string",
    "SoilMoisture4_Avg": 10.12,
    "SoilMoisture8_Avg": 10.12,
    "SoilMoisture24_Avg": 10.12,
    "FuelM_Max": 10.12,
    "FuelM_TMx": "string",
    "FuelM_Min": 10.12,
    "FuelM_TMn": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "properties": {
        "TmStamp": {
            "type": "string",
            "format": ""
        },
        "RecNum": {
            "type": "number",
            "format": ""
        },
        "AirTC_Avg": {
            "type": "number",
            "format": ""
        },
        "AirTC_Max": {
            "type": "number",
            "format": ""
        },
        "AirTC_TMx": {
            "type": "string",
            "format": ""
        },
        "AirTC_Min": {
            "type": "number",
            "format": ""
        },
        "AirTC_TMn": {
            "type": "string",
            "format": ""
        },
        "RH_Avg": {
            "type": "number",
            "format": ""
        },
        "RH_Max": {
            "type": "number",
            "format": ""
        },
        "RH_TMx": {
            "type": "string",
            "format": ""
        },
        "RH_Min": {
            "type": "number",
            "format": ""
        },
        "RH_TMn": {
            "type": "string",
            "format": ""
        },
        "VPD_Avg": {
            "type": "number",
            "format": ""
        },
        "VPD_Max": {
            "type": "number",
            "format": ""
        },
        "VPD_TMx": {
            "type": "string",
            "format": ""
        },
        "VPD_Min": {
            "type": "number",
            "format": ""
        },
        "VPD_TMn": {
            "type": "string",
            "format": ""
        },
        "BP_Abs_Avg": {
            "type": "number",
            "format": ""
        },
        "BP_Abs_Max": {
            "type": "number",
            "format": ""
        },
        "BP_Abs_TMx": {
            "type": "string",
            "format": ""
        },
        "BP_Abs_Min": {
            "type": "number",
            "format": ""
        },
        "BP_Abs_TMn": {
            "type": "string",
            "format": ""
        },
        "WS_ms_Max": {
            "type": "number",
            "format": ""
        },
        "WS_ms_TMx": {
            "type": "string",
            "format": ""
        },
        "WS_Avg": {
            "type": "number",
            "format": ""
        },
        "WD_avg": {
            "type": "number",
            "format": ""
        },
        "WD_StdDev": {
            "type": "number",
            "format": ""
        },
        "WS_ms_WVc": {
            "type": "number",
            "format": ""
        },
        "SlrkW_Avg": {
            "type": "number",
            "format": ""
        },
        "SlrkW_Max": {
            "type": "number",
            "format": ""
        },
        "SlrkW_TMx": {
            "type": "string",
            "format": ""
        },
        "Par_Tot_Tot": {
            "type": "number",
            "format": ""
        },
        "Par_Den_Max": {
            "type": "number",
            "format": ""
        },
        "Par_Den_TMx": {
            "type": "string",
            "format": ""
        },
        "Rain_mm_Tot": {
            "type": "number",
            "format": ""
        },
        "max_rain": {
            "type": "number",
            "format": ""
        },
        "Rain_TimeofMax": {
            "type": "string",
            "format": ""
        },
        "SoilMoisture4_Avg": {
            "type": "number",
            "format": ""
        },
        "SoilMoisture8_Avg": {
            "type": "number",
            "format": ""
        },
        "SoilMoisture24_Avg": {
            "type": "number",
            "format": ""
        },
        "FuelM_Max": {
            "type": "number",
            "format": ""
        },
        "FuelM_TMx": {
            "type": "string",
            "format": ""
        },
        "FuelM_Min": {
            "type": "number",
            "format": ""
        },
        "FuelM_TMn": {
            "type": "string",
            "format": ""
        }
    }
}

Responses

{
    "value": [
        {
            "TmStamp": "string",
            "RecNum": 10.12,
            "AirTC_Avg": 10.12,
            "AirTC_Max": 10.12,
            "AirTC_TMx": "string",
            "AirTC_Min": 10.12,
            "AirTC_TMn": "string",
            "RH_Avg": 10.12,
            "RH_Max": 10.12,
            "RH_TMx": "string",
            "RH_Min": 10.12,
            "RH_TMn": "string",
            "VPD_Avg": 10.12,
            "VPD_Max": 10.12,
            "VPD_TMx": "string",
            "VPD_Min": 10.12,
            "VPD_TMn": "string",
            "BP_Abs_Avg": 10.12,
            "BP_Abs_Max": 10.12,
            "BP_Abs_TMx": "string",
            "BP_Abs_Min": 10.12,
            "BP_Abs_TMn": "string",
            "WS_ms_Max": 10.12,
            "WS_ms_TMx": "string",
            "WS_Avg": 10.12,
            "WD_avg": 10.12,
            "WD_StdDev": 10.12,
            "WS_ms_WVc": 10.12,
            "SlrkW_Avg": 10.12,
            "SlrkW_Max": 10.12,
            "SlrkW_TMx": "string",
            "Par_Tot_Tot": 10.12,
            "Par_Den_Max": 10.12,
            "Par_Den_TMx": "string",
            "Rain_mm_Tot": 10.12,
            "max_rain": 10.12,
            "Rain_TimeofMax": "string",
            "SoilMoisture4_Avg": 10.12,
            "SoilMoisture8_Avg": 10.12,
            "SoilMoisture24_Avg": 10.12,
            "FuelM_Max": 10.12,
            "FuelM_TMx": "string",
            "FuelM_Min": 10.12,
            "FuelM_TMn": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "value": {
            "type": "array",
            "items": {
                "$ref": "#/components/schemas/CraftonWS_Daily"
            }
        }
    }
}

Schemas

CraftonWS_Daily

Name Type Description
AirTC_Avg number
AirTC_Max number
AirTC_Min number
AirTC_TMn string
AirTC_TMx string
BP_Abs_Avg number
BP_Abs_Max number
BP_Abs_Min number
BP_Abs_TMn string
BP_Abs_TMx string
FuelM_Max number
FuelM_Min number
FuelM_TMn string
FuelM_TMx string
max_rain number
Par_Den_Max number
Par_Den_TMx string
Par_Tot_Tot number
Rain_mm_Tot number
Rain_TimeofMax string
RecNum number
RH_Avg number
RH_Max number
RH_Min number
RH_TMn string
RH_TMx string
SlrkW_Avg number
SlrkW_Max number
SlrkW_TMx string
SoilMoisture24_Avg number
SoilMoisture4_Avg number
SoilMoisture8_Avg number
TmStamp string
VPD_Avg number
VPD_Max number
VPD_Min number
VPD_TMn string
VPD_TMx string
WD_avg number
WD_StdDev number
WS_Avg number
WS_ms_Max number
WS_ms_TMx string
WS_ms_WVc number

CraftonWS_Daily_NoAutoPK

Name Type Description
AirTC_Avg number
AirTC_Max number
AirTC_Min number
AirTC_TMn string
AirTC_TMx string
BP_Abs_Avg number
BP_Abs_Max number
BP_Abs_Min number
BP_Abs_TMn string
BP_Abs_TMx string
FuelM_Max number
FuelM_Min number
FuelM_TMn string
FuelM_TMx string
max_rain number
Par_Den_Max number
Par_Den_TMx string
Par_Tot_Tot number
Rain_mm_Tot number
Rain_TimeofMax string
RecNum number
RH_Avg number
RH_Max number
RH_Min number
RH_TMn string
RH_TMx string
SlrkW_Avg number
SlrkW_Max number
SlrkW_TMx string
SoilMoisture24_Avg number
SoilMoisture4_Avg number
SoilMoisture8_Avg number
TmStamp string
VPD_Avg number
VPD_Max number
VPD_Min number
VPD_TMn string
VPD_TMx string
WD_avg number
WD_StdDev number
WS_Avg number
WS_ms_Max number
WS_ms_TMx string
WS_ms_WVc number

CraftonWS_Daily_NoPK

Name Type Description
AirTC_Avg number
AirTC_Max number
AirTC_Min number
AirTC_TMn string
AirTC_TMx string
BP_Abs_Avg number
BP_Abs_Max number
BP_Abs_Min number
BP_Abs_TMn string
BP_Abs_TMx string
FuelM_Max number
FuelM_Min number
FuelM_TMn string
FuelM_TMx string
max_rain number
Par_Den_Max number
Par_Den_TMx string
Par_Tot_Tot number
Rain_mm_Tot number
Rain_TimeofMax string
RH_Avg number
RH_Max number
RH_Min number
RH_TMn string
RH_TMx string
SlrkW_Avg number
SlrkW_Max number
SlrkW_TMx string
SoilMoisture24_Avg number
SoilMoisture4_Avg number
SoilMoisture8_Avg number
VPD_Avg number
VPD_Max number
VPD_Min number
VPD_TMn string
VPD_TMx string
WD_avg number
WD_StdDev number
WS_Avg number
WS_ms_Max number
WS_ms_TMx string
WS_ms_WVc number

CraftonWS_FifteenMin

Name Type Description
AirTC_Avg number
BattV number
BP_Abs number
FuelM number
Par_Den number
Rain_mm_Tot number
RecNum number
RH number
SlrkW number
SoilMoisture24 number
SoilMoisture4 number
SoilMoisture8 number
SoilTemp4inches number
TmStamp string
VPD number
WD_avg number
WD_StdDev number
WS_Avg number
WS_ms number
WS_ms_Max number
WS_ms_WVc number

CraftonWS_FifteenMin_NoAutoPK

Name Type Description
AirTC_Avg number
BattV number
BP_Abs number
FuelM number
Par_Den number
Rain_mm_Tot number
RecNum number
RH number
SlrkW number
SoilMoisture24 number
SoilMoisture4 number
SoilMoisture8 number
SoilTemp4inches number
TmStamp string
VPD number
WD_avg number
WD_StdDev number
WS_Avg number
WS_ms number
WS_ms_Max number
WS_ms_WVc number

CraftonWS_FifteenMin_NoPK

Name Type Description
AirTC_Avg number
BattV number
BP_Abs number
FuelM number
Par_Den number
Rain_mm_Tot number
RH number
SlrkW number
SoilMoisture24 number
SoilMoisture4 number
SoilMoisture8 number
SoilTemp4inches number
VPD number
WD_avg number
WD_StdDev number
WS_Avg number
WS_ms number
WS_ms_Max number
WS_ms_WVc number

Tags

Name Description
CraftonWS_FifteenMin
CraftonWS_Daily